Bug 728023 (CVE-2011-2898) - CVE-2011-2898 kernel: af_packet: infoleak
Summary: CVE-2011-2898 kernel: af_packet: infoleak
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-2898
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20110607,reported=20110803,sou...
Depends On: 728032 728033 728034 748677 761358
Blocks: 728021
TreeView+ depends on / blocked
 
Reported: 2011-08-04 00:22 UTC by Eugene Teo (Security Response)
Modified: 2019-06-08 18:53 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-04 06:54:15 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1350 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2011-10-05 21:47:16 UTC
Red Hat Product Errata RHSA-2012:0010 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2012-01-11 01:14:23 UTC

Description Eugene Teo (Security Response) 2011-08-04 00:22:31 UTC
In 2.6.27, commit 393e52e33c6c2 (packet: deliver VLAN TCI to userspace) added a small information leak.

Add padding field and make sure its zeroed before copy to user.

Upstream commit:
http://git.kernel.org/linus/13fcb7bd322164c67926ffe272846d4860196dc6

introduced by commit 393e52e33c6c2 (v2.6.27-rc1)

Comment 3 Eugene Teo (Security Response) 2011-08-04 01:01:17 UTC
Statement:

This issue did not affect the versions of Linux kernel as shipped with Red Hat Enterprise Linux 4 and 5 as they did not backport the upstream commit 393e52e3 that introduced this flaw. This has been addressed in Red Hat Enterprise Linux 6, and Red Hat Enterprise MRG via https://rhn.redhat.com/errata/RHSA-2011-1350.html and https://rhn.redhat.com/errata/RHSA-2012-0010.html.

Comment 4 errata-xmlrpc 2011-10-05 21:48:10 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:1350 https://rhn.redhat.com/errata/RHSA-2011-1350.html

Comment 5 Eugene Teo (Security Response) 2011-10-25 03:51:08 UTC
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 748677]

Comment 7 errata-xmlrpc 2012-01-10 20:15:58 UTC
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2012:0010 https://rhn.redhat.com/errata/RHSA-2012-0010.html


Note You need to log in before you can comment on or make changes to this bug.